This example of Pathfinding uses the Dijkstra-Algorithm to create a field of Direction-Vectors. Use the left mouse-button to set the target and the right to set obstacles. For both the mouse can be dragged too. 'Draw Vectors', 'Show Grid' and 'Number of Particles' are self-explainitory 'Allow diagonal Passthrough' means wheather acceleration in 45° direction, and therefore passing between two diagonal adjacent nodes, should be allowed or not. 'Particle-Speed' and 'Particle-Acceleration' are mesured in pixels/tick resp. pixels/tick/tick. Average ticks per second is 60 and default-pixels (if not changed in the Code) 30 pixels per field. Actual frames per second and ticks per second can be seen in the title of this window. FPS highly depend on the amount of generated particles. Unrechable nodes (or if no target is selected) are indicated with magenta. If not changed in the code the darker the color is the further away the node is from its target."
